<?php
/*
 * This file is part of Robot-in for ECCUBE3 Plugin
 *
 * Copyright (C) 2015 Hunglead,Inc. doishun All Rights Reserved.
 *
 * http://www.hunglead.com/
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 */

namespace Plugin\HungleadRobotIn\Controller;

use Eccube\Application;
use Symfony\Component\HttpFoundation\Request;
use Symfony\Component\HttpFoundation\JsonResponse;
use Symfony\Component\HttpKernel\Exception\NotFoundHttpException;
use Symfony\Component\Security\Core\SecurityContext;

use Plugin\HungleadRobotIn\Config\HungleadConstants;
use Plugin\HungleadRobotIn\Dao\ProductDao;
use Plugin\HungleadRobotIn\ServiceProvider\HarcServiceProvider;

set_time_limit(0);

/**
 * get_orderAPIのコントローラ
 *
 * @author hunglead.doishun
 */
class UpdateProductsController
{

    public function index(Application $app, Request $request)
    {
        $id       = array("account" => $request->get('sys_id'), "password" => $request->get('sys_pass'));
        $param    = $request->get('product');

        try {
            // POSTアクセスに制限
            if($request->getMethod() != 'POST') throw new \Exception("Invalid Account.");

            $dao = new ProductDao($app);
            $message = $dao->update($id, $param);

        } catch (\Exception $e) {
            $message = "NG\n". $e->getMessage();
        }

        return $message;
    }


    public function test(Application $app, Request $request)
    {
        return $app->render('HungleadRobotIn/Resource/template/default/test/update_products.twig', array(
        ));

    }

}
