<?php
/*
 * This file is part of Robot-in for ECCUBE3 Plugin
 *
 * Copyright (C) 2015 Hunglead,Inc. doishun All Rights Reserved.
 *
 * http://www.hunglead.com/
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 */

namespace Plugin\HungleadRobotIn\Utils;


/**
 * DateTime簡易版（PHP5.1対応用）
 * @author hunglead.doishun
 */
class SimpleDateTime
{

    private $time;

    /**
     * コンストラクタ
     * @param string $strDate 日付文字列
     */
    public function __construct($strDate) {

        date_default_timezone_set("Asia/Tokyo");

        if ($strDate) {
            $this->time = strtotime($strDate);
        } else {
            $this->time = time();
        }
    }


    /**
     * フォーマット
     * @param string $format フォーマット形式
     */
    public function format($format) {
        return date($format, $this->time);
    }


    /**
     * 日付を変更
     * @param string $modify 変更文字列
     */
    public function modify($modify) {
        $this->time = strtotime($modify, $this->time);
        return $this;
    }

}
